************************
General Python Utilities
************************
The modules and functions described here provide support for many of the most general operations used through out STScI_Python. 

.. automodule:: pytools.fileutil
   :members:
   :undoc-members:

.. automodule:: pytools.parseinput
   :members:
   :undoc-members:
   
.. automodule:: pytools.irafglob
   :members:
   :undoc-members:
   

STScI_Python Help Support
*************************
The `versioninfo` module reports the version information for a defined set of packages installed as part of STScI_Python which can be sent in as part of a help call.  This information can then be used to help identify what software has been installed so that the source of the reported problem can be more easily identified.
   
.. automodule:: pytools.versioninfo
   :members:
   :undoc-members:
 
